interface Props {
  children: React.ReactNode
  iconUrl?: string
  className?: string
  variant?: 'primary' | 'secondary' | 'tertiary'
}

export default function Button({ children, iconUrl, className, variant = 'primary' }: Props) {
  return (
    <button
      className={`${variant === 'tertiary' ? 'bg-white text-navy' : variant === 'primary' ? 'bg-primary text-white' : 'bg-secondary text-white'} ${className ? className : ''} cursor-pointer flex items-center gap-2 xl:gap-3 rounded-full px-3 xl:px-5 py-2 xl:py-2.5`}
    >
      <span className="leading-none pb-1 font-medium">{children}</span>
      {iconUrl && <img src={iconUrl} alt="" width={24} height={24} />}
    </button>
  )
}
